UseePay Open API
UseePay PortalMechant Dashboard
Product Docs
Product Docs
  • V2.0
  • V1.0
UseePay PortalMechant Dashboard
Product Docs
Product Docs
  • V2.0
  • V1.0
  1. Webhooks
  • Integration
    • Welcome to the UseePay Demo Page
    • Payment Product Overview
      • Hosted Checkout Integration Guide
      • Embedded Checkout Integration Guide
      • Express Checkout Integration Guide
      • Server to Server Integration Guide
    • About Payment Methods
      • Card
      • Klarna
      • Naver pay
      • Kakao Pay
      • Toss Pay
      • Payco
      • Affirm
      • Blik
      • Trustly
      • Cashapp
      • Pay with Link
      • After Pay
      • ApplePay
        • Apple Pay
        • Apple Pay Web Integration (API Integration)
      • GooglePay
        • Google Pay
        • Google Pay Web Integration (API Integration)
    • Subscription
      • Get started with Subscription
    • Online payment
      • Get started with online payments
    • Payment Capabilities
      • Adaptive Price
      • Supported Payment Methods for Checkout
    • Checkout session
      • Checkout Session Guide
  • Developer
    • Introduction
    • Authentication
    • Errors
    • Error code
      • last_payment_error documentation
    • Best Integration
      • Quickly create a paymentIntent for a subscription
      • Auto-Charge Subscription Guide
    • Payment Intents
      • Payment Intent Overview
      • Quickly create a paymentIntent
      • Create a PaymentIntent
      • Retrieve a PaymentIntent
      • Update a PaymentIntent
      • Confirm a PaymentIntent
      • Cancel a PaymentIntent
      • Capture a PaymentIntent
      • List all payment intents
    • Customers
      • Create a customer
      • Retrieves a customer
      • Update a customer
      • List all customers
    • Subscriptions
      • Create a subscription
      • Retrieves a subscription
      • Update a subscription
      • List all subscriptions
      • Cancel a subscription
    • Invoices
      • Create a invoice
      • Retrieves a invoice
      • List all invoices
      • Pay a invoice
    • Payment Methods
      • Retieve Payment Method Session
    • Mandates
      • Create a mandate
      • Retrieves a mandate
      • List all mandates
    • Refunds
      • Create a refund
      • Retrieves a refund
      • List all refunds
    • Webhooks
      • Webhook Activation/Signature Verification Steps
      • Supported Webhook Events
      • Dispute Webhook Integration Document
      • 2026-04 coming soon
        • Webhook Request Format Update
        • Webhook events for example
      • Before 2026-04 supported
        • Webhook Events Documentation
        • Webhook events for example
      • Create a webhook
        POST
      • Retrieves a webhook
        GET
      • Update a webhook
        POST
      • List all webhooks
        GET
    • Embedded Checkout
      • Payment Element
      • Payment Element (Deferred Intent)
      • Express Checkout Element
      • Checkout Session Element
    • About Testing
      • Test Cards
      • ApplePay&GooglePay
    • Payment Method Configuration
      • Retieve Payment Method Configuration
    • Checkout Session
      • Create Checkout Session
      • Retrieve Checkout Session
    • Trackers
      • upload trackers
      • Retrieve a tracker
    • Capture
      • Capture Overview
      • List captures by intent id
    • Schemas
      • CheckoutSessionCreateRequest
      • PaymentMethod
      • CreatePaymentIntentRequest
      • LineItem
      • Customer
      • Address
      • ProductData
      • Shipping
      • SubscriptionData
      • Error
      • DiscountPeriodConfig
      • DeviceData
      • CheckoutSessionResponse
      • ErrorResponse
      • Order
      • Product
      • PaymentMethodOptions
      • RiskControlOptions
      • Mandate
      • PaymentIntent
      • Billing
      • Card
      • AliPay
      • Wallet
      • Klarna
      • WechatPay
      • Refund
      • Subscription
      • Recurring
      • PriceData
      • SubscriptionItem
      • Invoice
      • NextAction
      • Webhook
      • CollectableOptions
      • PaymentLink
      • last_payment_error
      • discount_period_config
      • Capture
  • Reconciliation
    • SFTP Access for Reconciliation
  • Message
    • Messaging Element
  • FAQ
    • Unable to receive Webhook notifications
  1. Webhooks

Create a webhook

Useepay API V2.0 Sandbox Environment
https://openapi1.uat.useepay.com
Useepay API V2.0 Sandbox Environment
https://openapi1.uat.useepay.com
POST
/api/v1/webhooks/create
1.
Before using the webhook, ensure that the RSA key is enabled.
The IP address of the webhook notification domain needs to be provided to Useepay for whitelisting.
2.
UseePay matches the sending addresses of webhooks through "x-merchant no" and "x-app id".
If you have multiple websites, you need to create webhooks for each website

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://openapi1.uat.useepay.com/api/v1/webhooks/create' \
--header 'x-merchant-no: 500000000007245' \
--header 'x-api-key: FUYTIUvjhgfytfuytwiue' \
--header 'x-app-id: www.pay.com' \
--header 'Content-Type: application/json' \
--data '{
    "url": "https://demo.youshop.com/webhook",
    "api_version": "2024-11-21",
    "events": [
        "payment_intent.created",
        "payment_intent.requires_payment_method"
    ],
    "metadata": {
        "testkey": "111"
    },
    "status": "enabled"
}'
Response Response Example
{
    "id": "wek_1JHHVQLK40S00",
    "url": "https://demo.youshop.com/webhook",
    "description": null,
    "events": [
        "payment_intent.created",
        "payment_intent.requires_payment_method"
    ],
    "metadata": {
        "testkey": "111"
    },
    "status": null,
    "secret": null,
    "merchant_no": "500000000007264",
    "app_id": "www.pay.com",
    "create_at": "2024-11-15T01:59:52Z",
    "modify_at": "2024-11-15T01:59:52Z",
    "api_version": "2024-11-21"
}
Modified at 2026-05-07 08:20:27
Previous
Webhook events for example
Next
Retrieves a webhook
Built with